Get Business Profile WABA Details

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionConstraints
Headers
apikeyApikey of the account where the app is to be createdShould be a valid gupshup.io apikey
Path Params
appIdValid app id

Response Parameters

KeyDescription
businessNameName of the business
wabaNameApp Name
phoneNumberApp Phone Number
timeZoneTimezone
wabaIdWaba Id

Status Codes

Status CodeResponseComments
Success
200
{
  "profile": {
    "addressLine1": "First address line",
    "addressLine2": "Second address line",
    "city": "City name",
    "country": "Country code",
    "desc": "Profile description",
    "pinCode": "Postal code",
    "profileEmail": "Email address",
    "state": "State",
    "vertical": "Industry vertical",
    "website1": "First website",
    "website2": "Second website"
  },
  "status": "success"
}
Error
400
{
  "status": "error",
  "message": "Invalid app id provided"
}
When invalid/empty appId is provided
401
{
  "status": "error",
  "message": "Authentication Failed"
}
When API key is unauthorized
429
{
  "status": "error",
  "message": "Too Many Requests"
}
When the rate limit is exceeded
Path Params
string
required

Unique identifier for an app

Headers
string
required

Your account API key

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json